#include "classicmode/classicnote.h"

ClassicNote::ClassicNote(const kku::microsec& perfect_offset, int id) :
    Note(perfect_offset),
    _state(State::NONE),
    _id(id)
{}

void ClassicNote::setState(ClassicNote::State state) noexcept
{
    _state = state;
}

auto ClassicNote::getState() const noexcept -> State
{
    return _state;
}

int ClassicNote::getId() const noexcept
{
    return _id;
}
